# This is a sample build configuration for PHP.
# Check our guides at https://confluence.atlassian.com/x/VYk8Lw for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.

pipelines:   
  default :
     - step:
         script: # Modify the commands below to build your repository.
           - mkdir -p ~/.ssh
           - cat my_known_hosts >> ~/.ssh/known_hosts
           - (umask  077 ; echo $MY_SSH_KEY | base64 --decode -i > ~/.ssh/id_rsa)
           - ssh -T root@tmmarket.com <<< $'cd /home/tmmarket/repos/MARITIME-EXECUTIVE/sandbox && /usr/local/cpanel/3rdparty/bin/git pull && chown -R tmmarket:tmmarket . && chown tmmarket:nobody . && chmod 755 public'